org.apache.ignite.internal.processors.odbc

## Class ClientListenerMetrics

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.ClientListenerMetrics

    public class ClientListenerMetrics
    extends Object

Client listener metrics.

### Field Summary

Fields
`static String` `METRIC_ACEPTED` Number of successfully established sessions.
`static String` `METRIC_ACTIVE` Number of active sessions.
`static String` `METRIC_REJECTED_AUTHENTICATION` Handshakes rejected by authentication metric label.
`static String` `METRIC_REJECTED_TIMEOUT` Handshakes rejected by timeout metric label.
`static String` `METRIC_REJECTED_TOTAL` Total number of rejected handshakes.

### Constructor Summary

Constructors
Constructor and Description
`ClientListenerMetrics(GridKernalContext ctx)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onDisconnect(byte clientType)` Callback invoked when client is disconnected.
`void` `onFailedAuth()` Callback invoked when authentication is failed.
`void` `onGeneralReject()` Callback invoked when handshake is rejected.
`void` `onHandshakeAccept(byte clientType)` Callback invoked when handshake is accepted.
`void` `onHandshakeTimeout()` Callback invoked when handshake is timed out.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### METRIC_REJECTED_TIMEOUT

    public static final String METRIC_REJECTED_TIMEOUT

Handshakes rejected by timeout metric label.

See Also:
  Constant Field Values

#### METRIC_REJECTED_AUTHENTICATION

    public static final String METRIC_REJECTED_AUTHENTICATION

Handshakes rejected by authentication metric label.

See Also:
  Constant Field Values

#### METRIC_REJECTED_TOTAL

    public static final String METRIC_REJECTED_TOTAL

Total number of rejected handshakes.

See Also:
  Constant Field Values

#### METRIC_ACEPTED

    public static final String METRIC_ACEPTED

Number of successfully established sessions.

See Also:
  Constant Field Values

#### METRIC_ACTIVE

    public static final String METRIC_ACTIVE

Number of active sessions.

See Also:
  Constant Field Values

### Constructor Detail

#### ClientListenerMetrics

    public ClientListenerMetrics(GridKernalContext ctx)

Parameters:
  `ctx` - Kernal context.

### Method Detail

#### onHandshakeTimeout

    public void onHandshakeTimeout()

Callback invoked when handshake is timed out.

#### onFailedAuth

    public void onFailedAuth()

Callback invoked when authentication is failed.

#### onGeneralReject

    public void onGeneralReject()

Callback invoked when handshake is rejected.

#### onHandshakeAccept

    public void onHandshakeAccept(byte clientType)

Callback invoked when handshake is accepted.

Parameters:
  `clientType` - Client type.

#### onDisconnect

    public void onDisconnect(byte clientType)

Callback invoked when client is disconnected.

Parameters:
  `clientType` - Client type.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021